// Пользовательская Функция Motor(). Функция управляющая моторами
void Motor(int SpeedLeft, int SpeedRight)
{
  // Проверяем, если текущая скорость + U(управляющее воздействие) для левого двигателя > 255  
  if (SpeedLeft > 255)
  {
    SpeedLeft = 255; // Присваиваем переменной максимально возможное значение 255
  }
  else // В противном случае
  {
    // Если скорость меньше чем -255 
    if (SpeedLeft < -255)
    {
      SpeedLeft = -255; // Присваиваем переменной значение -255
    }
  }

  // Проверяем, если текущая скорость + U(управляющее воздействие) для правого двигателя > 255  
  if (SpeedRight > 255)
  {
    SpeedRight = 255; // Присваиваем переменной максимально возможное значение 255
  }
  else // В противном случае
  {
    // Если скорость меньше чем -255 
    if (SpeedRight < -255)
    {
      SpeedRight = -255; // Присваиваем переменной значение -255
    }
  }


  // Проверяем если скорость для левого двигателя имеет положительное значение
  if (SpeedLeft >= 0)
  {
    digitalWrite(M2, HIGH);  // Направление вращение вала двигателя вперёд
    analogWrite(E2, SpeedLeft); // Записываем значение в порт управляющий скоростью вращения вала двигателя
  }
  else // если значение скорости отрицательное
  {
    SpeedLeft *= -1; // Переводим его в положительное значение
    digitalWrite(M2, LOW); // Меняем направление вращения вала двигателя
    analogWrite(E2, SpeedLeft); // Записываем значение в порт управляющий скоростью вращения вала двигателя

  }

  // Проверяем если скорость для правого двигателя имеет положительное значение
  if (SpeedRight >= 0)
  {
    digitalWrite(M1, HIGH); // Направление вращение вала двигателя вперёд
    analogWrite(E1, SpeedRight); // Записываем значение в порт управляющий скоростью вращения вала двигателя
  }
  else // если значение скорости отрицательное
  {
    SpeedRight *= -1; // Переводим его в положительное значение
    digitalWrite(M1, LOW); // Меняем направление вращения вала двигателя
    analogWrite(E1, SpeedRight); // Записываем значение в порт управляющий скоростью вращения вала двигателя

  }
}


