void datch_u()
{
  // Создаём переменную schet с типом int и модификатором static, это обозначает, что  между вызовами функции
  // переменная сохраняет свои значения. Эта переменная хранит значения счётчика который считает количество раз,
  // когда напряжение на аккумуляторе было меньше, чем минимально возможное напряжение 
  static int schet=0; 
 
  // Проверяем, если текущее напряжение аккумулятора меньше значения в макроопределении
  if ((analogRead(PORT_U)*CONST_U) < MIN_U)
  {
    schet++; // Увеличиваем значения счётчика на 1
    
    if (schet>1000) // Если значение счётчика стало равно или превысило 1000 раз
    {
      // Останавливаем моторы
      digitalWrite(M1, LOW);
      digitalWrite(E1, LOW);
      digitalWrite(M2, LOW);
      digitalWrite(E2, LOW);
      
      // Входим в бесконечный цикл и "моргаем" светодиодами
      while (true)
      {
        digitalWrite(LED_PIN, HIGH); //Включаем светодиод
        delay(500); // делаем задержку в выполнении программы 500мс
        digitalWrite(LED_PIN, LOW); //Выключаем светодиод
        delay(500);  // делаем задержку в выполнении программы 500мс
      }
    }
  }
}

